Package org.apache.lucene.facet.facetset

## Class ExactFacetSetMatcher

- java.lang.Object
- - org.apache.lucene.facet.facetset.FacetSetMatcher
  - - org.apache.lucene.facet.facetset.ExactFacetSetMatcher

-     public class ExactFacetSetMatcher
      extends FacetSetMatcher

  A `FacetSetMatcher` which considers a set as a match only if all dimension values are equal to the given one.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.facet.facetset.FacetSetMatcher

      `dims, label`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExactFacetSetMatcher​(String label, FacetSet facetSet)` | Constructs an instance to match the given facet set.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `matches​(long[] dimValues)` | Returns true if the facet set encoded in the given `long[]` is matched by this matcher.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExactFacetSetMatcher

          public ExactFacetSetMatcher​(String label,
                                      FacetSet facetSet)

      Constructs an instance to match the given facet set.

  - ### Method Detail

    - #### matches

          public boolean matches​(long[] dimValues)

      Description copied from class: `FacetSetMatcher`
      Returns true if the facet set encoded in the given `long[]` is matched by this matcher.
      Specified by:
        `matches` in class `FacetSetMatcher`
      Parameters:
        `dimValues` - the encoded dimension values of a single facet set in this field